CVE-2015-2929

NameCVE-2015-2929
DescriptionThe Hidden Service (HS) client implementation in Tor before 0.2.4.27, 0.2.5.x before 0.2.5.12, and 0.2.6.x before 0.2.6.7 allows remote servers to cause a denial of service (assertion failure and application exit) via a malformed HS descriptor.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-187-1, DSA-3216-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tor (PTS)buster0.3.5.16-1fixed
buster (security)0.3.5.16-1+deb10u1fixed
bullseye (security), bullseye0.4.5.16-1fixed
bookworm, bookworm (security)0.4.7.16-1fixed
sid, trixie0.4.8.10-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
torsourcesqueeze0.2.4.27-1~deb6u1DLA-187-1
torsourcewheezy0.2.4.27-1DSA-3216-1
torsource(unstable)0.2.5.12-1

Notes

https://trac.torproject.org/projects/tor/ticket/15601
https://www.openwall.com/lists/oss-security/2015/04/06/5

Search for package or bug name: Reporting problems